Nowe posty

xx KDE Wallet (4)
Dzisiaj o 13:25:07
xx MacOS vs Linux (17)
Wczoraj o 21:20:08
xx [rozwiązane] Jak zainstalować Firefox'a 66 w Mint'cie 19.1? (15)
Wczoraj o 19:24:47
xx Dziwne zachowanie Firefoxa 65.0.1 (8)
Wczoraj o 11:49:13
xx Gdzie jest link do MOJE POSTY? (2)
Wczoraj o 07:34:45
xx HUMBLE BOOK BUNDLE: LINUX BY WILEY (0)
Wczoraj o 07:24:44
xx [ Gra Za Darmo on-line ] Albion Online (1)
Wczoraj o 07:21:33
xx Mint 19.1 - jest na wpół po polsku i angielsku, no szlag... (5)
2019-03-20, 10:49:16
xx brak uprawnień przy pobieraniu (3)
2019-03-20, 02:57:12
xx Reklamy (2)
2019-03-19, 14:58:34

Autor Wątek: Binarki do GCC  (Przeczytany 3806 razy)

Offline Jakub Wypart

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 10
    • Zobacz profil
Binarki do GCC
« dnia: 2005-09-04, 15:20:15 »
Witam,

Mam zainstalowaną Mandrive LE 2005. Gdy uruchamiam program KAudioCreator wyskakuje mi błąd:

No encoder has been selected.
Please select an encoder in the configuration.

No więc jak to zrobić? jak go wybrać? Poza tym zauważyłem, że nie działa mi mikrofon [z głośnikami jest wporzo, slychac dzwiek]. Karte muzyczna wykrywa prawidlowo. jaka moze byc przyczyna?

pozdrawiam

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 255
    • Zobacz profil
Binarki do GCC
« Odpowiedź #1 dnia: 2005-09-04, 15:26:35 »
2005-09-04 15:20:15 mohitron napisał:

 > Witam,
 >
 > Mam zainstalowaną Mandrive LE 2005. Gdy uruchamiam
 > program KAudioCreator wyskakuje mi błąd:
 >
 > No encoder has been selected.
 > Please select an encoder in the configuration.
 >
 > No więc jak to zrobić? jak go wybrać?

zainteresuj sie konfiguracja tego programu :-) ewentualnie jak dalej nie wiesz zobacz www.google.pl

 > Poza tym zauważyłem, że nie działa mi mikrofon [z
 > głośnikami jest wporzo, slychac dzwiek]. Karte muzyczna
 > wykrywa prawidlowo. jaka moze byc
 > przyczyna?

a gdzie probowales czy ten mikrofon dziala? jaki dostales komunikat o bledzie i czy w ogole? sprawdz, czy podpiales ten mikrofon do odpowiedniego wejscia :-)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 14
    • Zobacz profil
Binarki do GCC
« Odpowiedź #2 dnia: 2005-09-04, 14:39:03 »
Wie ktoś może skąd wziąć binarną wersję gcc ? najlepiej 4.0.2. Korzystam z Mandrake Linuxa 10.1 a rpm z płyty instalacyjnej (gcc wersja 2.0.9) nie działa ;/ tzn. instaluje się ale kompilator jest niedostępny :/ nie mogę niczego skompilować... a tym bardziej gcc4 ~~
próbowałem instalować inne kompilatory, żeby skompilować gcc 4.0.2 (m.in. TinyC Compiler, Intel C++ Compiler 9.0) ale nie idzie ;/

Offline Jacek Łuczak

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 437
    • Zobacz profil
Binarki do GCC
« Odpowiedź #3 dnia: 2005-09-04, 16:10:02 »
2005-09-04 14:39:03 PiotrLegnica napisał:

> Wie ktoś może skąd wziąć binarną wersję gcc ? najlepiej 4.0.2. Korzystam z Mandrake Linuxa 10.1
 > a rpm z płyty instalacyjnej (gcc wersja 2.0.9) nie działa ;/ tzn. instaluje się ale kompilator
 > jest niedostępny :/ nie mogę niczego skompilować... a tym bardziej gcc4 ~~
 > próbowałem instalować inne kompilatory, żeby skompilować gcc 4.0.2 (m.in. TinyC Compiler, Intel
 > C++ Compiler 9.0) ale nie idzie ;/

Kilka pytan:
1. Po co Ci GCC 4.0.2?
2. Skoro na plycie masz GCC w wersji 2.0.9, to jakie to jest Mandrake? Pytam, bo 10.1 to raczej nie jest, dlatego, ze takiej wersji na oczy nie widzialem -> o ile pamietam Mandrake 8.0 bylo zrobione na (wadliwym!!!) GCC 2.96.

Kompilujac wiele programow kompilatorem GCC 4.x.x napotkasz na mnustwo trudnosci nie do przejscia. Musi jeszcze minac troche czasu zanim ta galaz bedzie w pelni funkcjonalna.

Offline Wojciech Miłkowski

  • Global Moderator
  • Stały bywalec
  • *****
  • Wiadomości: 206
    • Zobacz profil
Binarki do GCC
« Odpowiedź #4 dnia: 2005-09-04, 19:36:30 »
2005-09-04 16:10:02 difrost napisał:

 > Kompilujac wiele programow kompilatorem GCC 4.x.x napotkasz na mnustwo trudnosci nie do
 > przejscia. Musi jeszcze minac troche czasu zanim ta galaz bedzie w pelni funkcjonalna.

Dokałdnie chodzi o 2 rzeczy. Pierwsza to bardziej restrykcyjne trzymanie się standardów, przez co część programów napisanych "nieco luźniejszym C/C++" nie będzie się kompilować. Druga to nowe rozwiązania w optymalizacji kodu przez GCC 4, które mimo iż bardzo obiecujące wciąż jeszcze wymagają dopracowania.

Jeśli strasznie ci zależy na GCC 4 to sensowniejszym będzie zainstalowanie sobie najnowszej Fedory Core 4, która jest zbudowana w oparciu o ten kompilator i posiada już szereg niezbędnych poprawek dla niego.

Wojtek

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 14
    • Zobacz profil
Binarki do GCC
« Odpowiedź #5 dnia: 2005-09-05, 16:35:51 »
Właściwie chodzi mi o jakikolwiek GCC bo Linux bez kompilatora to lipa ~~

Offline Wojciech Miłkowski

  • Global Moderator
  • Stały bywalec
  • *****
  • Wiadomości: 206
    • Zobacz profil
Binarki do GCC
« Odpowiedź #6 dnia: 2005-09-06, 16:25:03 »
Zaciągnij gcc przez urpmi, obojętnie czy z płyt instalacyjnych czy z Internetu.
Tutaj jest opis jak go można używać: http://gorzow-wlkp.pl/linux/using_urpmi_pl.html

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 14
    • Zobacz profil
Binarki do GCC
« Odpowiedź #7 dnia: 2005-09-07, 18:12:27 »
ok mam dzieki za pomoc